# Lookup Virtual NIN

{% hint style="info" %}
Test Data: AA1234567890123B (VNIN)\
\
OR\
\
Test Data: 12345678909 (RAW NIN)
{% endhint %}

{% hint style="info" %}
The **Virtual NIN (vNIN)** is designed to replace the raw 11-digit NIN for everyday usage. Where until now, the raw NIN had been shared and stored by various entities mostly without the knowledge (or consent) of the ID Holder or the Custodian of Identity in Nigeria, the NIMC.\
\
Virtual NIN consists of 16 alpha-numeric characters that can be generated using:\
\
**1) NIMC official mobile app**\
**2) USSD - \******346\******3\******customer NIN\******696739#**\
\
Identitypass Short Code: **696739**<br>
{% endhint %}

## lookup Virtual NIN

<mark style="color:green;">`POST`</mark> `{{BASE_URL}}/api/v2/biometrics/merchant/data/verification/nin_wo_face`

This endpoint allows you to look up a virtual national identification number

#### Headers

| Name                                        | Type   | Description        |
| ------------------------------------------- | ------ | ------------------ |
| x-api-key<mark style="color:red;">\*</mark> | string | \<your secret key> |
| app-id<mark style="color:red;">\*</mark>    | String | \<your app id>     |

#### Request Body

| Name                                          | Type   | Description |
| --------------------------------------------- | ------ | ----------- |
| number<mark style="color:red;">\*</mark>      | string | Virtual NIN |
| number\_nin<mark style="color:red;">\*</mark> | String | Raw NIN     |

{% tabs %}
{% tab title="200 Data successfully retrieved." %}

```
{
    "status": true,
    "detail": "Verification Successful",
    "nin_data": {
        "birthcountry": "",
        "birthdate": "21 JAN 1990",
        "birthlga": "",
        "birthstate": "",
        "centralID": "",
        "educationallevel": "",
        "email": "",
        "emplymentstatus": "",
        "firstname": "",
        "gender": "f",
        "heigth": "",
        "maritalstatus": "single",
        "nin": "",
        "nok_address1": "",
        "nok_address2": "",
        "nok_firstname": "",
        "nok_lga": "",
        "nok_middlename": "",
        "nok_postalcode": "",
        "nok_state": "",
        "nok_surname": "",
        "nok_town": "",
        "nspokenlang": "YORUBA",
        "ospokenlang": "",
        "pfirstname": "",
        "photo": "",
        "pmiddlename": "",
        "profession": "",
        "psurname": "",
        "religion": "christianity",
        "residence_AdressLine1": "",
        "residence_Town": "",
        "residence_lga": "",
        "residence_state": "",
        "residencestatus": "",
        "self_origin_lga": "",
        "self_origin_place": "",
        "self_origin_state": "",
        "signature": "",
        "surname": "",
        "telephoneno": "",
        "title": "",
        "vnin": "",
        "userid": ""
    },
    "verification": {
        "status": "",
        "reference": ""
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.myidentitypass.com/products/data-verification/nigeria/nin-verification/lookup-nin.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
